/*!
 * @file
 * @brief 日本の祝日を定義するヘッダファイル
 * @author y_okamon
 * @version 1.0(2007.04.25)
 */

#ifndef HOLIDAY_LISTS_H_
#define HOLIDAY_LISTS_H_

/* 文字数を確保する */

/* ここから日本の祝日を宣言 */
char New_Year[]             = "元旦　　　　 ";                 //!< 1月1日(1949年～)
char Coming_Age[]           = "成人の日　　 ";                 //!< 1月第2月曜日(1949年～,1999年までは1月15日)
char National_Fundation[]   = "建国記念日　 ";                 //!< 2月11日(1967年～)
char Vernal_Equinox[]       = "春分の日　　 ";                 //!< 3月20日前後(1949年～)
char Greeey[]               = "みどりの日　 ";                 //!< 2006年までは4月29日、2007年からは5月4日(1989年～)
char Showa[]                = "昭和の日　　 ";                 //!< 2007年以降の4月29日
char Constitation[]         = "憲法記念日　 ";                 //!< 5月3日(1949年～)
char Children[]             = "こどもの日　 ";                 //!< 5月5日(1949年～)
char Ocean[]                = "海の日　　　 ";                 //!< 2002年までは7月20日、2003年からは7月第3月曜日(1996年～)
char Respect_for_the_Aged[] = "敬老の日　　 ";                 //!< 2002年までは9月15日、2003年からは9月第3月曜日(1966年～)
char Autumnal_Equinox[]     = "秋分の日　　 ";                 //!< 9月23日前後(1948年～)
char Health_and_Sports[]    = "体育の日　　 ";                 //!< 10月第2月曜日(1966年～,1999年までは10月10日)
char Culture[]              = "文化の日　　 ";                 //!< 11月3日(1948年～)
char Labor_Thanksgiving[]   = "勤労感謝の日 ";                 //!< 11月23日(1948年～)
char The_Emperor_Birthday[] = "天皇誕生日　 ";                 //!< 12月23日(1949年～、1988年までは4月29日)
char Compensatory[]         = "振替休日　　 ";                 //!< 日曜日が祝日のとき最初の祝日でない平日(2006年までは振替休日が月曜日、1973年～)
char National_Holiday[]     = "国民の休日　 ";                 //!< 祝日と祝日の間の火曜〜土曜日(2006年までは5月4日、1988年～)

char *weeklist[7] ={"日", "月", "火", "水", "木", "金", "土"};  //!< 曜日候補
int sec_mon[] = {9, 8, 14, 13, 12, 11, 10};             //!< 第2月曜日となりうる日 
int thi_mon[] = {16, 15, 21, 20, 19, 18, 17};           //!< 第3月曜日となりうる日
#endif /*HOLIDAY_LISTS_H_*/
