/*!
 * @file
 * @brief 様々な数値のマクロ定義を行うヘッダファイル
 * 
 * @author y_okamon
 * @version 1.0(2007.04.25)　初版
 * @version 1.1(2008.10.09) WEEK_COLの数値変更
 */

#ifndef NUMBER_SET_H_
#define NUMBER_SET_H_

/// 月の最大値
#define MONTH_MAX 12

/// 月の最小値
#define MONTH_MIN 1

/// 年の最大値(Ver1.1までは2099)
#define YEAR_MAX 2150

/// 年の最小値(Ver1.1までは2000)
#define YEAR_MIN 1949

/// 祝日の日数の最大値
#define HOLY_MAX 31

/// 祝日名の長さの最大値 
#define HOLY_NAME 100

/// 1ヶ月の最大週数
#define WEEK_ROW 6

/// 1週間の最大バッファ(Ver1.0 では22)
#define WEEK_COL 7

/// 横に表示させるカレンダーの個数
#define COL_CAL 3

/// 昭和の最小値(Ver2.0)
#define SYOWA_MIN 24

/// 昭和の最大値(Ver2.0)
#define SYOWA_MAX 64

/// 平成の最小値(Ver2.0)
#define HEISEI_MIN 1

/// 平成の最大値(Ver2.0)
#define HEISEI_MAX 99


/* ここから構造体の宣言 */
//! 日付用の変数
typedef struct DAY_DATE{
    int year;  //!< 年
    int month; //!< 月
    int day;   //!< 日
}DAY_DATE;


#endif /*NUMBER_SET_H_*/
